<?php
  class Template
  {
      protected $params;
      public function __construct()
      {
          $this->params = array();
      }
      public function SetParam($paramName, $paramValue)
      {
          $this->params[$paramName] = $paramValue;           
      }
      public function GetParam($paramName)
      {
          return $this->params[$paramName];
      }
      public function SetParams($paramArray)
      {
         $this->params = array_merge($this->params, $paramArray);
      }
      public function Fetch($fileName)
      {
          extract($this->params);
          ob_start();
          require($fileName);
          $str = ob_get_contents();
          ob_end_clean();
          return $str;
      }
  }
?>