<?php
  class Core
  {
      protected static $DB;
      public static function Init()
      {
         session_start(); 
         self::$DB = new PDO("mysql:host=".MYSQL_SERVER.";dbname=".MYSQL_DATABASE, MYSQL_USER, MYSQL_PASS);
      }
      public static function Run()
      {
          $route = $_GET['route'];
          $routeParts = explode('/', $route);
          $methodName = "IndexAction";
          $className = ucfirst($routeParts[0]);
          $methodNameCandidate = trim($routeParts[1]);          
          if (!empty($methodNameCandidate))
            $methodName = ucfirst($methodNameCandidate)."Action";
          if (class_exists($className))
          {
            $obj = new $className();
            if (method_exists($obj, $methodName))
                $obj->$methodName();
            else
                self::Error(404);
          } else
            self::Error(404);
          
      }
      public static function Error($code)
      {
          echo "Error {$code}";
          die;
      }     
      public static function Done()
      {
          
      }      
  }
?>